Subject: bug#7793: closed (Re: bug#7793: inconsistent behavior of exec-path)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Feb 2012 22:32:02 +0000

Your bug report

#7793: inconsistent behavior of exec-path

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7793: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7793
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7793: inconsistent behavior of exec-path
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 03 Feb 2012 17:31:17 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii wrote:

> FWIW, I don't think the inconsistency that is the subject of this bug
> can be resolved in any reasonable way.  The separation between
> exec-path and PATH is deliberate in Emacs, so setting one from the
> other will not DTRT at least for some use-cases.

I am closing this report.

Subject: inconsistent behavior of exec-path
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Wed, 5 Jan 2011 18:07:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

suppose you have two directories (A&B) which contain two different
executables with the same name (N).
e.g., find.exe(N) in both "c:/gnu/gnuwin32/bin"(A) and "c:/WINDOWS/system32"(B).
if A follows B in $PATH, then M-x shell-command will call A/N for N
even if I manually swap A & B in exec-path.
So far so good.

However, if I run rgrep in "emacs -q", it fails because by default B
is before A in PATH and exec-path;
while if I push A to the beginning of exec-path before the first
invocation of rgrep, rgrep will find and use the good N.

this inconsistency is bad and together with bugs
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6784
and
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7785
is causing me much grief in my first encounter with windows in 4 years.
thanks.

-- 
Sam Steingold <http://sds.podval.org>